# GroovydocAccess

enum GroovydocAccess

Represents the setting for the access levels that are included in the Groovydoc.

Each level include all less restrictive access levels, e.g. PACKAGE also includes items with protected and public access.

#### Since

7.5

## Entries

PRIVATE
Link copied to clipboard
PRIVATE
PACKAGE
Link copied to clipboard
PACKAGE
PROTECTED
Link copied to clipboard
PROTECTED
PUBLIC
Link copied to clipboard
PUBLIC

## Functions

valueOf
Link copied to clipboard
open fun valueOf(name: String): GroovydocAccess

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

values
Link copied to clipboard
open fun values(): Array<GroovydocAccess>

Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants.